Subject: bug#51893: thoughts about keys

From: Andreas Diener <[email-masked]>
Date: Tue, 16 Nov 2021 09:55:19 +0100

Dear Madam or Sir,

first: I am from Germany and not a foreign language correspondence clerk, so please excuse my "not so nice" english. I hope you will understand my text (and my issue).
I saw your email-adress on the gnu-emacs-site and I thought, you may be interested in a comment from a kind of frustrated "almost-Emacs-user".

My setting: as mentioned I am from Germany so I work with german keyboard-layout (on Mac), Emacs is 27.2. I am not a software engineer and I don't write programm code but "prosa" and at times I use LaTeX. To make notes I like to work with a "slim" editor and simple txt-files with which I can work later on.
Looking around I recently stumbled over Vim and Emacs and I am impressed how powerful these programs are. And perhaps for me it is not really necessary to work with such advanced programms, I think it is beneficial to know them (and additional: very interesting and although not so easy to handle I think that's part of the fun).

Now: the Emacs seems not to be usable for me because of one thing (so far): on a german keyboard there are several important charakters only available in combination with "normal" keys and the ALT-key (= Meta-key in Emacs). In Emacs there are key bindings with the ALT-key and that's ok, but all the special characters (e.g. \, |, [, ], {, }, @, ~, „ “ etc.), which I need kind of frequently (among others for LaTeX) are not available here.
And I think that's kind of distressing, because the CMD-key (Mac) or Window-key, which seems to be on every keyboard these days, is directly next to the ALT-key and not used at all.

So the thing seems this to me: even I'd like to explore the Emacs more I am afraid I have to leave it as a serious option.

hope you find this an interesting note from a noob,
best regards

Andreas Diener